package com.cloudbility.openapi.client;

import com.cloudbility.openapi.Credentials;
import com.cloudbility.openapi.OpenapiException;

public interface OpenapiClientFactory {

    /**
     * 获取默认配置中的
     * @return
     * @throws OpenapiException
     */
    OpenapiOperation getOpenapiClient() throws OpenapiException;

    OpenapiOperation getOpenapiClient(Credentials credentials, String endpoint) throws OpenapiException;
}
