package com.cloudbility.openapi.enums.zstack;

import com.cloudbility.openapi.common.StringUtil;

public enum IpResourceType {
    Vip,
    VM;

    public static IpResourceType forName(String name) {
        if (StringUtil.notEmpty(name)) {
            for (IpResourceType type : values()) {
                if (type.name().equalsIgnoreCase(name)) {
                    return type;
                }
            }
        }
        return null;
    }
}
