package com.cloudbility.openapi.enums.zstack;

import com.cloudbility.openapi.common.StringUtil;

public enum UsingStateEventType {
    enable,
    disable;

    public static UsingStateEventType forName(String name) {
        if (StringUtil.notEmpty(name)) {
            for (UsingStateEventType type : values()) {
                if (type.name().equalsIgnoreCase(name)) {
                    return type;
                }
            }
        }
        return null;
    }
}
