package com.cloudbility.openapi.enums.zstack;

import com.cloudbility.openapi.common.StringUtil;

/**
 * 使用状态
 */
public enum UsingStateType {
    Enabled,
    Disabled,
    Maintenance;

    public static UsingStateType forName(String name) {
        if (StringUtil.notEmpty(name)) {
            for (UsingStateType type : values()) {
                if (type.name().equalsIgnoreCase(name)) {
                    return type;
                }
            }
        }
        return null;
    }
}
