package com.cloudbility.openapi.response;

import com.cloudbility.openapi.vo.CredentialHostBrief;
import com.cloudbility.openapi.vo.CredentialVo;
import io.swagger.annotations.ApiModel;

import java.util.ArrayList;
import java.util.List;

@ApiModel
public class CredentialHostsResult extends OpenapiResponse {

    private CredentialVo credential;

    private List<CredentialHostBrief> hosts = new ArrayList<>();

    public CredentialVo getCredential() {
        return credential;
    }

    public void setCredential(CredentialVo credential) {
        this.credential = credential;
    }

    public List<CredentialHostBrief> getHosts() {
        return hosts;
    }

    public void setHosts(List<CredentialHostBrief> hosts) {
        this.hosts = hosts;
    }
}
