package com.cloudbility.openapi.response;

import com.cloudbility.openapi.vo.CredentialVo;
import com.cloudbility.openapi.vo.RoleVo;
import io.swagger.annotations.ApiModel;

import java.util.ArrayList;
import java.util.List;

@ApiModel
public class CredentialRolesResult extends OpenapiResponse {

    private CredentialVo credential;

    private List<RoleVo> roles = new ArrayList<>();

    public CredentialVo getCredential() {
        return credential;
    }

    public void setCredential(CredentialVo credential) {
        this.credential = credential;
    }

    public List<RoleVo> getRoles() {
        return roles;
    }

    public void setRoles(List<RoleVo> roles) {
        this.roles = roles;
    }
}
