package com.cloudbility.openapi.response;

import com.cloudbility.openapi.vo.CredentialPasswordVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

@ApiModel
public class HostCredentialsWithPasswordResult extends OpenapiResponse {

    @ApiModelProperty(value = "主机ID", required = true)
    private String instanceId;
    @ApiModelProperty(value = "主机名", required = true)
    private String instanceName;

    @ApiModelProperty(value = "带密码的登录凭证信息列表")
    private List<CredentialPasswordVo> credentialPasswords = new ArrayList<>();

    public String getInstanceId() {
        return instanceId;
    }

    public void setInstanceId(String instanceId) {
        this.instanceId = instanceId;
    }

    public String getInstanceName() {
        return instanceName;
    }

    public void setInstanceName(String instanceName) {
        this.instanceName = instanceName;
    }

    public List<CredentialPasswordVo> getCredentialPasswords() {
        return credentialPasswords;
    }

    public void setCredentialPasswords(List<CredentialPasswordVo> credentialPasswords) {
        this.credentialPasswords = credentialPasswords;
    }
}
