package com.cloudbility.openapi.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.zstack.sdk.L2VlanNetworkInventory;

import java.util.ArrayList;
import java.util.List;

@ApiModel
public class ListZStackL2VLanNetworksResult extends OpenapiResponse {

    @ApiModelProperty("zstack二层VLan网络列表")
    private List<L2VlanNetworkInventory> l2VLanNetworks = new ArrayList<>();

    public List<L2VlanNetworkInventory> getL2VLanNetworks() {
        return l2VLanNetworks;
    }

    public void setL2VLanNetworks(List<L2VlanNetworkInventory> l2VLanNetworks) {
        this.l2VLanNetworks = l2VLanNetworks;
    }
}
