package com.cloudbility.openapi.response;

import com.cloudbility.openapi.vo.OpsPolicyVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

@ApiModel
public class OpsPolicyResult extends OpenapiResponse {

    @ApiModelProperty("子策略列表")
    private List<OpsPolicyVo> policies = new ArrayList<>();

    public List<OpsPolicyVo> getPolicies() {
        return policies;
    }

    public void setPolicies(List<OpsPolicyVo> policies) {
        this.policies = policies;
    }


    @Override
    public String toString() {
        return "OpsPolicyResult{" +
                "policies=" + policies +
                '}';
    }
}
