package com.cloudbility.openapi.response;

import com.cloudbility.openapi.vo.SessionInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

@ApiModel
public class SessionResult {

    @ApiModelProperty("会话列表信息")
    private List<SessionInfo> sessionInfos = new ArrayList<>();
    @ApiModelProperty("记录数")
    private int total;

    public int getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }

    public List<SessionInfo> getSessionInfos() {
        return sessionInfos;
    }

    public void setSessionInfos(List<SessionInfo> sessionInfos) {
        this.sessionInfos = sessionInfos;
    }
}
