package com.cloudbility.openapi.response;

import io.swagger.annotations.ApiModelProperty;

import java.util.Arrays;
import java.util.HashSet;
import java.util.Set;

public class SetZStackL2VLanIdsResult extends OpenapiResponse {

    @ApiModelProperty("zstack二层VLanId列表")
    private Set<Integer> l2VLanIds = new HashSet<>(Arrays.asList(3, 6, 9));

    public Set<Integer> getL2VLanIds() {
        return l2VLanIds;
    }

    public void setL2VLanIds(Set<Integer> l2VLanIds) {
        this.l2VLanIds = l2VLanIds;
    }

    public void add(Integer vlanId) {
        this.l2VLanIds.add(vlanId);
    }
}
