package com.cloudbility.openapi.response.hostTemplate;

import java.io.Serializable;

/**
 * @author mask
 */
public class TemplateBandwidthConfig implements Serializable {
    private boolean autoIpv4;

    private String chargeType;

    private boolean assignBandwidth;

    private Integer maxBandwidth;

    //同一个模板下可能存在多个REGIO， 每个region单价不一样，这里取最大值进行保存
    private Double perGOriginalPriceMin;
    private Double perGOriginalPriceMax;

    //预付费 固定带宽计费
    private Double perMonthOriginalPriceMin;
    private Double perMonthOriginalPriceMax;  //元/月

    //fixme
    //预付费 固定带宽计费  MYSQL 没有保存按周计算的梯度价格，先每次从阿里抓去
    private Double perWeekOriginalPriceMin;
    private Double perWeekOriginalPriceMax;  //元/周

    //按量计费 固定带宽计费
    private    Double perHourOriginalPriceMin = null;
    private   Double perHourOriginalPriceMax = null;  //元/时

    public Double getPerHourOriginalPriceMin() {
        return perHourOriginalPriceMin;
    }

    public void setPerHourOriginalPriceMin(Double perHourOriginalPriceMin) {
        this.perHourOriginalPriceMin = perHourOriginalPriceMin;
    }

    public Double getPerHourOriginalPriceMax() {
        return perHourOriginalPriceMax;
    }

    public void setPerHourOriginalPriceMax(Double perHourOriginalPriceMax) {
        this.perHourOriginalPriceMax = perHourOriginalPriceMax;
    }

    public Double getPerGOriginalPriceMin() {
        return perGOriginalPriceMin;
    }

    public void setPerGOriginalPriceMin(Double perGOriginalPriceMin) {
        this.perGOriginalPriceMin = perGOriginalPriceMin;
    }

    public Double getPerGOriginalPriceMax() {
        return perGOriginalPriceMax;
    }

    public void setPerGOriginalPriceMax(Double perGOriginalPriceMax) {
        this.perGOriginalPriceMax = perGOriginalPriceMax;
    }

    public Double getPerMonthOriginalPriceMin() {
        return perMonthOriginalPriceMin;
    }

    public void setPerMonthOriginalPriceMin(Double perMonthOriginalPriceMin) {
        this.perMonthOriginalPriceMin = perMonthOriginalPriceMin;
    }

    public Double getPerMonthOriginalPriceMax() {
        return perMonthOriginalPriceMax;
    }

    public void setPerMonthOriginalPriceMax(Double perMonthOriginalPriceMax) {
        this.perMonthOriginalPriceMax = perMonthOriginalPriceMax;
    }

    public boolean isAutoIpv4() {
        return autoIpv4;
    }

    public void setAutoIpv4(boolean autoIpv4) {
        this.autoIpv4 = autoIpv4;
    }

    public String getChargeType() {
        return chargeType;
    }

    public void setChargeType(String chargeType) {
        this.chargeType = chargeType;
    }

    public boolean isAssignBandwidth() {
        return assignBandwidth;
    }

    public void setAssignBandwidth(boolean assignBandwidth) {
        this.assignBandwidth = assignBandwidth;
    }

    public Integer getMaxBandwidth() {
        return maxBandwidth;
    }

    public void setMaxBandwidth(Integer maxBandwidth) {
        this.maxBandwidth = maxBandwidth;
    }

    public Double getPerWeekOriginalPriceMin() {
        return perWeekOriginalPriceMin;
    }

    public void setPerWeekOriginalPriceMin(Double perWeekOriginalPriceMin) {
        this.perWeekOriginalPriceMin = perWeekOriginalPriceMin;
    }

    public Double getPerWeekOriginalPriceMax() {
        return perWeekOriginalPriceMax;
    }

    public void setPerWeekOriginalPriceMax(Double perWeekOriginalPriceMax) {
        this.perWeekOriginalPriceMax = perWeekOriginalPriceMax;
    }
}
