package com.cloudbility.openapi.vo;

import com.cloudbility.openapi.response.OpenapiResponse;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel
public class CloudVo extends OpenapiResponse {
    @ApiModelProperty("所属团队ID")
    private Long teamId;
    @ApiModelProperty("云账户ID")
    private Long id;
    @ApiModelProperty("云账户名称")
    private String name;
    @ApiModelProperty("云账户厂商,比如阿里云:aliyun;腾讯云:qcloud;局域网:private")
    private String provider;
    @ApiModelProperty("创建时间")
    private Date createTime;
    @ApiModelProperty("内网连接方式")
    private CloudIntranetAccessType cloudIntranetAccessType;
    @ApiModelProperty("账号ID")
    private String accountId;
    @ApiModelProperty("云账户来源，门户：Portal|管理控制台：Console")
    private Scope scope = Scope.Portal;

    public Long getTeamId() {
        return teamId;
    }

    public void setTeamId(Long teamId) {
        this.teamId = teamId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getProvider() {
        return provider;
    }

    public void setProvider(String provider) {
        this.provider = provider;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public CloudIntranetAccessType getCloudIntranetAccessType() {
        return cloudIntranetAccessType;
    }

    public void setCloudIntranetAccessType(CloudIntranetAccessType cloudIntranetAccessType) {
        this.cloudIntranetAccessType = cloudIntranetAccessType;
    }

    public String getAccountId() {
        return accountId;
    }

    public void setAccountId(String accountId) {
        this.accountId = accountId;
    }

    public Scope getScope() {
        return scope;
    }

    public void setScope(Scope scope) {
        this.scope = scope;
    }
}
