package com.cloudbility.openapi.vo;

import com.cloudbility.openapi.response.OpenapiResponse;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(description = "策略条目")
public class OpsPolicyItemVo extends OpenapiResponse {
    @ApiModelProperty("策略条目的分类")
    private String category;
    @ApiModelProperty("策略条目的Key")
    private String key;
    @ApiModelProperty("策略条目的取值类型")
    private String valueType;
    @ApiModelProperty("策略条目的默认值")
    private Object defaultValue;
    @ApiModelProperty("策略条目当前值")
    private Object value;
    @ApiModelProperty("策略条目的描述")
    private String description;
    @ApiModelProperty("策略条目取值关联的实体名称，目前仅：WorkflowTemplate(工单模版)")
    private String domainEntityType;

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getValueType() {
        return valueType;
    }

    public void setValueType(String valueType) {
        this.valueType = valueType;
    }

    public Object getDefaultValue() {
        return defaultValue;
    }

    public void setDefaultValue(Object defaultValue) {
        this.defaultValue = defaultValue;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getDomainEntityType() {
        return domainEntityType;
    }

    public void setDomainEntityType(String domainEntityType) {
        this.domainEntityType = domainEntityType;
    }

    public Object getValue() {
        return value;
    }

    public void setValue(Object value) {
        this.value = value;
    }


    @Override
    public String toString() {
        return "OpsPolicyItemVo{" +
                "category='" + category + '\'' +
                ", key='" + key + '\'' +
                ", valueType='" + valueType + '\'' +
                ", defaultValue=" + defaultValue +
                ", value=" + value +
                ", description='" + description + '\'' +
                ", domainEntityType='" + domainEntityType + '\'' +
                '}';
    }
}
