package com.cloudbility.openapi.vo;

import com.cloudbility.openapi.response.OpenapiResponse;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;
@ApiModel
public class RoleDetailResult extends OpenapiResponse {

    @ApiModelProperty(value = "角色信息")
    private RoleVo role;

    @ApiModelProperty(value = "角色成员ID列表")
    private List<Long> members = new ArrayList<>();

    @ApiModelProperty(value = "角色权限代码列表")
    private List<String> functionCodes = new ArrayList<>();

    public RoleVo getRole() {
        return role;
    }

    public void setRole(RoleVo role) {
        this.role = role;
    }

    public List<Long> getMembers() {
        return members;
    }

    public void setMembers(List<Long> members) {
        this.members = members;
    }

    public List<String> getFunctionCodes() {
        return functionCodes;
    }

    public void setFunctionCodes(List<String> functionCodes) {
        this.functionCodes = functionCodes;
    }
}
