package com.cloudbility.openapi.vo;

import com.cloudbility.openapi.response.OpenapiResponse;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by lidonghao on 2020/8/7.
 */

@ApiModel
public class VpcVo extends OpenapiResponse {

    @ApiModelProperty("VPC ID")
    private String vpcId;
    @ApiModelProperty("VPC CIDR")
    private String vpcCidr;
    @ApiModelProperty("VPC名称")
    private String vpcName;
    @ApiModelProperty("区域ID")
    private String regionId;
    @ApiModelProperty("子网")
    private List<SubnetVo> subnets = new ArrayList<>();

    public String getVpcId() {
        return vpcId;
    }

    public void setVpcId(String vpcId) {
        this.vpcId = vpcId;
    }

    public String getVpcCidr() {
        return vpcCidr;
    }

    public void setVpcCidr(String vpcCidr) {
        this.vpcCidr = vpcCidr;
    }

    public String getVpcName() {
        return vpcName;
    }

    public void setVpcName(String vpcName) {
        this.vpcName = vpcName;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public List<SubnetVo> getSubnets() {
        return subnets;
    }

    public void setSubnets(List<SubnetVo> subnets) {
        this.subnets = subnets;
    }
}
