package com.cloudbility.openapi.vo;

public enum WorkTypeVo {

    Common("服务申请", "Common Request"),
    ApplyProduct("产品目录购买申请", "Product Purchase Request"),//服务申请,targetId=workflowInstance.id
    HostAccessAudit("主机登录审批", "Host Login Request"),//主机登录审批，发起节点固定角色：所有成员
    CommandAudit("主机指令审批", "Host Command Request"),//指令审批，发起节点固定角色：所有成员
    CustomService("客服工单", "Customer Service Request"),//不支持验证码审核
    CreateHost("主机申请", "Host Purchase Request"),
    AllocateHost("主机变配", "Host Allocate Request"),
    RunScriptAudit("脚本执行审核", "Script Run Request"),
    FileTransferAudit("文件传输审批", "File Transfer Request"),
    ;

    private String desc;
    private String descEn;

    WorkTypeVo(String desc, String descEn) {
        this.desc = desc;
        this.descEn = descEn;
    }

    public String getDesc() {
        return desc;
    }

    public String getDescEn() {
        return descEn;
    }

    public static WorkTypeVo byName(String name) {
        for (WorkTypeVo typeVo : values()) {
            if (typeVo.name().equalsIgnoreCase(name)) {
                return typeVo;
            }
        }
        return null;
    }
}
