package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel
public class WorkflowInstanceVo {
    @ApiModelProperty("流程ID")
    private Long id;
    @ApiModelProperty("流程主题")
    private String subject;
    @ApiModelProperty("流程内容")
    private String description;
    @ApiModelProperty("业务类型")
    private WorkTypeVo workType;
    @ApiModelProperty("流程模版ID")
    private Long templateId;
    @ApiModelProperty("流程发起人ID")
    private Long creatorId;
    @ApiModelProperty("流程发起人昵称")
    private String creatorName;
    @ApiModelProperty("流程所属团队")
    private Long teamId;
    @ApiModelProperty("流程发起时间")
    private Date createTime;
    @ApiModelProperty("流程是否已经结束")
    private boolean closed;
    @ApiModelProperty("流程超时时间")
    private int timeout;
    @ApiModelProperty("流程当前处理结果")
    private String result;
    @ApiModelProperty("流程的更新时间")
    private Date updateTime;
    @ApiModelProperty("流程当前状态")
    private WorkflowInstanceStatusVo status;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public WorkTypeVo getWorkType() {
        return workType;
    }

    public void setWorkType(WorkTypeVo workType) {
        this.workType = workType;
    }

    public Long getTemplateId() {
        return templateId;
    }

    public void setTemplateId(Long templateId) {
        this.templateId = templateId;
    }

    public Long getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(Long creatorId) {
        this.creatorId = creatorId;
    }

    public String getCreatorName() {
        return creatorName;
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }

    public Long getTeamId() {
        return teamId;
    }

    public void setTeamId(Long teamId) {
        this.teamId = teamId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public boolean isClosed() {
        return closed;
    }

    public void setClosed(boolean closed) {
        this.closed = closed;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public WorkflowInstanceStatusVo getStatus() {
        return status;
    }

    public void setStatus(WorkflowInstanceStatusVo status) {
        this.status = status;
    }

    public int getTimeout() {
        return timeout;
    }

    public void setTimeout(int timeout) {
        this.timeout = timeout;
    }
}
