package com.cloudbility.openapi.vo.ops;

public enum EffectType implements OpsValueType {
    deny,//不允许
    allow,//允许
    audit,//审批后允许
    ;

    public static EffectType fromName(String name) {
        for (EffectType e : EffectType.values()) {
            if (e.name().equalsIgnoreCase(name)) {
                return e;
            }
        }
        return deny;
    }

    public static EffectType fromNameNullable(String name) {
        for (EffectType e : EffectType.values()) {
            if (e.name().equalsIgnoreCase(name)) {
                return e;
            }
        }
        return null;
    }
}
