package com.cloudbility.openapi;

import com.cloudbility.openapi.vo.CasAppVo;
import com.cloudbility.openapi.vo.CasLogoutTypeVo;
import com.cloudbility.openapi.vo.CasServiceTypeVo;

public interface CasServerApi {

    CasAppVo createCasApp(String serviceId,
                          String name,
                          String module,
                          CasServiceTypeVo serviceType,
                          Long teamId,
                          CasLogoutTypeVo logoutType,
                          String logoutUrl,
                          Integer evaluationOrder) throws OpenapiException;

    CasAppVo createCasApp(String serviceId,
                          String name,
                          String module,
                          CasServiceTypeVo serviceType,
                          Long teamId,
                          CasLogoutTypeVo logoutType,
                          String logoutUrl,
                          Integer evaluationOrder,boolean forceLogout) throws OpenapiException;

    CasAppVo deleteCasApp(String serviceId) throws OpenapiException;

}
