package com.cloudbility.openapi.client;

import com.cloudbility.openapi.JobApi;
import com.cloudbility.openapi.OpenapiClient;
import com.cloudbility.openapi.OpenapiException;
import com.cloudbility.openapi.vo.JobInfoVo;

public class DefaultJobApi extends AbstractApi implements JobApi {
    public DefaultJobApi(OpenapiClient client) {
        super(client);
    }

    @Override
    public JobInfoVo getJobInfo(long jobId) throws OpenapiException {
        return execute(RequestorBuilder.create()
                        .get("/job/" + jobId),
                JobInfoVo.class
        );
    }
}
