package com.cloudbility.openapi.client;

import com.cloudbility.openapi.*;

public interface OpenapiOperation {

    UserApi userApi();

    TeamApi teamApi();

    CloudApi cloudApi();

    HostApi hostApi();

    RoleApi roleApi();

    TagApi tagApi();

    VgApi vgApi();

    LogApi logApi();

    CredentialApi credentialApi();

    JobApi jobApi();

    OtherApi otherApi();

    ScriptApi scriptApi();

    MonitorApi monitorApi();

    NoticeApi noticeApi();

    DbApi dbApi();

    DepartmentApi departmentApi();

    SystemApi systemApi();

    WorkflowApi workflowApi();

    KeyPairApi keypairApi();

    OpsPolicyApi opsPolicyApi();

    QuotaApi quotaApi();

    AuthorizationApi authorizationApi();

    CasServerApi casServerApi();

    OrderApi orderApi();

    MessageApi messageApi();

    SessionApi sessionApi();
}
