package com.cloudbility.openapi.enums.zstack;

import com.cloudbility.openapi.common.StringUtil;

public enum HAType {
    None,
    NeverStop;

    public static HAType forName(String name) {
        if (StringUtil.notEmpty(name)) {
            for (HAType type : values()) {
                if (type.name().equalsIgnoreCase(name)) {
                    return type;
                }
            }
        }
        return null;
    }
}
