package com.cloudbility.openapi.enums.zstack;

import com.cloudbility.openapi.common.StringUtil;

/**
 * 计算规格分配策略模式
 */
public enum HostAllocatorStrategyMode {
    /**
     * 强制
     */
    hard,
    /**
     * 非强制
     */
    soft;

    public static HostAllocatorStrategyMode forName(String name) {
        if (StringUtil.notEmpty(name)) {
            for (HostAllocatorStrategyMode type : values()) {
                if (type.name().equalsIgnoreCase(name)) {
                    return type;
                }
            }
        }
        return null;
    }
}
