package com.cloudbility.openapi.enums.zstack;

import com.cloudbility.openapi.common.StringUtil;

public enum ImageStatusType {
    Ready,
    Creating,
    Downloading;

    public static ImageStatusType forName(String name) {
        if (StringUtil.notEmpty(name)) {
            for (ImageStatusType type : values()) {
                if (type.name().equalsIgnoreCase(name)) {
                    return type;
                }
            }
        }
        return null;
    }
}
