package com.cloudbility.openapi.enums.zstack;

public enum IpVersion {
    IPv4(4),
    IPv6(6);

    private int version;

    IpVersion(Integer version) {
        this.version = version;
    }

    public Integer getVersion() {
        return this.version;
    }

    public static IpVersion forCode(Integer value) {
        for (IpVersion mode : values()) {
            if (mode.getVersion().equals(value)) {
                return mode;
            }
        }

        return null;
    }
}
