package com.cloudbility.openapi.enums.zstack;

import com.cloudbility.openapi.common.StringUtil;

public enum L3NetworkCategoryType {
    Public,
    Private,
    System;

    public static L3NetworkCategoryType forName(String name) {
        if (StringUtil.notEmpty(name)) {
            for (L3NetworkCategoryType type : values()) {
                if (type.name().equalsIgnoreCase(name)) {
                    return type;
                }
            }
        }
        return null;
    }

}
