package com.cloudbility.openapi.enums.zstack;

import com.cloudbility.openapi.common.StringUtil;

public enum VMMachineType {
    pc,
    q35;

    public static VMMachineType forName(String name) {
        if (StringUtil.notEmpty(name)) {
            for (VMMachineType type : values()) {
                if (type.name().equalsIgnoreCase(name)) {
                    return type;
                }
            }
        }
        return null;
    }
}
