package com.cloudbility.openapi.request;

import com.cloudbility.openapi.vo.CreateCloudVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

@ApiModel
public class CreateCloudRequest {
    @ApiModelProperty(value = "云账户信息列表")
    private List<CreateCloudVo> clouds = new ArrayList<>();

    public CreateCloudRequest() {
    }

    public CreateCloudRequest(List<CreateCloudVo> clouds) {
        this.clouds = clouds;
    }

    public List<CreateCloudVo> getClouds() {
        return clouds;
    }

    public void setClouds(List<CreateCloudVo> clouds) {
        this.clouds = clouds;
    }
}
