package com.cloudbility.openapi.response;

import com.cloudbility.openapi.vo.RegionVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * Created by Mask on 2018/3/19.
 */
@ApiModel
public class GetRegionResult extends OpenapiResponse {

    /**
     * 云厂商
     */
    @ApiModelProperty(value = "云厂商")
    private String provider;

    /**
     * 区域
     */
    @ApiModelProperty(value = "区域")
    private List<RegionVo> regions;


    public GetRegionResult() {
    }

    public String getProvider() {
        return provider;
    }

    public void setProvider(String provider) {
        this.provider = provider;
    }

    public List<RegionVo> getRegions() {
        return regions;
    }

    public void setRegions(List<RegionVo> regions) {
        this.regions = regions;
    }
}
