package com.cloudbility.openapi.response;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * 主机包含的的访问串
 *
 * @author heyanqiao
 * @since 2020-07-29
 */
@ApiModel
public class HostAccessAuthResult extends OpenapiResponse {
    @ApiModelProperty("访问串列表")
    List<AccessAuthResult> accessAuthResults;
    @ApiModelProperty("访问串总数")
    int count;

    public HostAccessAuthResult() {
    }

    public HostAccessAuthResult(List<AccessAuthResult> accessAuthResults, int count) {
        this.accessAuthResults = accessAuthResults;
        this.count = count;
    }

    public List<AccessAuthResult> getAccessAuthResults() {
        return accessAuthResults;
    }

    public void setAccessAuthResults(List<AccessAuthResult> accessAuthResults) {
        this.accessAuthResults = accessAuthResults;
    }

    public int getCount() {
        return count;
    }

    public void setCount(int count) {
        this.count = count;
    }
}
