package com.cloudbility.openapi.response;

import com.cloudbility.openapi.vo.ChargeType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class HostCostItem {
    @ApiModelProperty("主机ID")
    private Long id;
    @ApiModelProperty("实例名称")
    private String instanceName;
    @ApiModelProperty("实例ID")
    private String instanceId;
    @ApiModelProperty("操作系统")
    private String platform;
    @ApiModelProperty("计费类型")
    private ChargeType chargeType;
    @ApiModelProperty("实例（元／月）")
    private double instanceCost;
    @ApiModelProperty("带宽（元／月）")
    private double bandwidthCost;
    @ApiModelProperty("磁盘（元／月）")
    private double diskCost;
    @ApiModelProperty("快照（元／月）")
    private double snapshotCost;
    @ApiModelProperty("小计（元／月）")
    private double totalCost;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getInstanceName() {
        return instanceName;
    }

    public void setInstanceName(String instanceName) {
        this.instanceName = instanceName;
    }

    public String getInstanceId() {
        return instanceId;
    }

    public void setInstanceId(String instanceId) {
        this.instanceId = instanceId;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public ChargeType getChargeType() {
        return chargeType;
    }

    public void setChargeType(ChargeType chargeType) {
        this.chargeType = chargeType;
    }

    public double getInstanceCost() {
        return instanceCost;
    }

    public void setInstanceCost(double instanceCost) {
        this.instanceCost = instanceCost;
    }

    public double getBandwidthCost() {
        return bandwidthCost;
    }

    public void setBandwidthCost(double bandwidthCost) {
        this.bandwidthCost = bandwidthCost;
    }

    public double getDiskCost() {
        return diskCost;
    }

    public void setDiskCost(double diskCost) {
        this.diskCost = diskCost;
    }

    public double getSnapshotCost() {
        return snapshotCost;
    }

    public void setSnapshotCost(double snapshotCost) {
        this.snapshotCost = snapshotCost;
    }

    public double getTotalCost() {
        return totalCost;
    }

    public void setTotalCost(double totalCost) {
        this.totalCost = totalCost;
    }
}
