package com.cloudbility.openapi.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

/**
 * @since v4.18
 */
@ApiModel
public class HostCostResult extends OpenapiResponse {

    @ApiModelProperty
    private List<HostCostItem> hostCosts = new ArrayList<>();

    @ApiModelProperty("实例（元／月）")
    private double instanceCost;
    @ApiModelProperty("带宽（元／月）")
    private double bandwidthCost;
    @ApiModelProperty("磁盘（元／月）")
    private double diskCost;
    @ApiModelProperty("快照（元／月）")
    private double snapshotCost;
    @ApiModelProperty("小计（元／月）")
    private double totalCost;

    public List<HostCostItem> getHostCosts() {
        return hostCosts;
    }

    public void setHostCosts(List<HostCostItem> hostCosts) {
        this.hostCosts = hostCosts;
    }

    public double getInstanceCost() {
        return instanceCost;
    }

    public void setInstanceCost(double instanceCost) {
        this.instanceCost = instanceCost;
    }

    public double getBandwidthCost() {
        return bandwidthCost;
    }

    public void setBandwidthCost(double bandwidthCost) {
        this.bandwidthCost = bandwidthCost;
    }

    public double getDiskCost() {
        return diskCost;
    }

    public void setDiskCost(double diskCost) {
        this.diskCost = diskCost;
    }

    public double getSnapshotCost() {
        return snapshotCost;
    }

    public void setSnapshotCost(double snapshotCost) {
        this.snapshotCost = snapshotCost;
    }

    public double getTotalCost() {
        return totalCost;
    }

    public void setTotalCost(double totalCost) {
        this.totalCost = totalCost;
    }
}
