package com.cloudbility.openapi.response;

import com.cloudbility.openapi.vo.ZStackL3NetworkIpStatistic;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

@ApiModel
public class ListZStackL3NetworkIpStatisticResult extends OpenapiResponse {

    @ApiModelProperty("zstack三层网络Ip统计信息列表")
    private List<ZStackL3NetworkIpStatistic> l3NetworkIpStatistics = new ArrayList<>();

    public List<ZStackL3NetworkIpStatistic> getL3NetworkIpStatistics() {
        return l3NetworkIpStatistics;
    }

    public void setL3NetworkIpStatistics(List<ZStackL3NetworkIpStatistic> l3NetworkIpStatistics) {
        this.l3NetworkIpStatistics = l3NetworkIpStatistics;
    }
}
