package com.cloudbility.openapi.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.zstack.sdk.L3NetworkInventory;

import java.util.ArrayList;
import java.util.List;

@ApiModel
public class ListZStackL3NetworksResult extends OpenapiResponse {

    @ApiModelProperty("zstack三层网络列表")
    private List<L3NetworkInventory> l3Networks = new ArrayList<>();

    public List<L3NetworkInventory> getL3Networks() {
        return l3Networks;
    }

    public void setL3Networks(List<L3NetworkInventory> l3Networks) {
        this.l3Networks = l3Networks;
    }
}
