package com.cloudbility.openapi.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class ZStackPhysicalResourceSummary extends OpenapiResponse {

    @ApiModelProperty("剩余可用cpu")
    private long availableCpu;

    @ApiModelProperty("剩余可用内存")
    private double availableMemoryInGB;

    @ApiModelProperty("剩余可用存储容量")
    private double availableStorageInGB;

    public long getAvailableCpu() {
        return availableCpu;
    }

    public void setAvailableCpu(long availableCpu) {
        this.availableCpu = availableCpu;
    }

    public double getAvailableMemoryInGB() {
        return availableMemoryInGB;
    }

    public void setAvailableMemoryInGB(double availableMemoryInGB) {
        this.availableMemoryInGB = availableMemoryInGB;
    }

    public double getAvailableStorageInGB() {
        return availableStorageInGB;
    }

    public void setAvailableStorageInGB(double availableStorageInGB) {
        this.availableStorageInGB = availableStorageInGB;
    }
}
