package com.cloudbility.openapi.vo;

public enum AdviceLevel {
    UPGRADE,         // 升级
    DOWNGRADE,       // 降级
    OK,//维持现有配置
    ;

    public static AdviceLevel byName(String adviceLevel) {
        for (AdviceLevel al : values()) {
            if (al.name().equalsIgnoreCase(adviceLevel)) {
                return al;
            }
        }
        return null;
    }
}
