package com.cloudbility.openapi.vo;

public enum AdviceTarget {
    INSTANCE,            // 针对实例的建议
    BANDWIDTH,          // 针对带宽的建议
    FREE_DISK,         // 未挂载磁盘
    FREE_EIP,          // 未挂载EIP
    FREE_SNAPSHOT,     // 未关联磁盘快照

    ;
    public static AdviceTarget byName(String target) {
        for (AdviceTarget t : values()) {
            if (t.name().equalsIgnoreCase(target)) {
                return t;
            }
        }
        return null;
    }
}
