package com.cloudbility.openapi.vo;

public enum ChargeType {
    UNKNOWN,
    PrePaid,//包年包月
    PostPaid,//按量付费
    ;

    public static ChargeType byName(String chargeType) {
        for (ChargeType t : values()) {
            if (t.name().equalsIgnoreCase(chargeType)) {
                return t;
            }
        }
        return UNKNOWN;
    }
}
