package com.cloudbility.openapi.vo;

import com.cloudbility.openapi.response.OpenapiResponse;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class HostGroupVo extends OpenapiResponse {

    @ApiModelProperty(value = "主机分组ID")
    private Long id;
    @ApiModelProperty(value = "所属团队ID")
    private Long teamId;
    @ApiModelProperty(value = "所属云账户ID")
    private Long cloudId;
    @ApiModelProperty(value = "主机分组名称")
    private String name;
    @ApiModelProperty(value = "网络类型:class,vpc,lan，分别表示云主机的经典网络、VPC和局域网网络")
    private String networkType;
    @ApiModelProperty(value = "区域：云主机的区域id或者局域网主机的子网")
    private String regionId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getTeamId() {
        return teamId;
    }

    public void setTeamId(Long teamId) {
        this.teamId = teamId;
    }

    public Long getCloudId() {
        return cloudId;
    }

    public void setCloudId(Long cloudId) {
        this.cloudId = cloudId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getNetworkType() {
        return networkType;
    }

    public void setNetworkType(String networkType) {
        this.networkType = networkType;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }
}
