package com.cloudbility.openapi.vo;

public enum JobStatus {
    AUDITING,//审核中
    PENDING,//等待中
    RUNNING,//正在执行
    SUCCESS,//执行成功
    PARAM_ERROR,//参数错误
    FAIL,//异常
    TIMEOUT,//超时
    CANCELLED,//被取消
    UNKNOWN//未知
    ;

    public boolean isDone(){
        return !(this == AUDITING || this == PENDING || this == RUNNING);
    }

    public boolean isSuccess(){
        return this == SUCCESS;
    }

}
