package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;

import java.util.ArrayList;
import java.util.List;

@ApiModel
public class NoticeDetailVo extends NoticeVo {
    private List<NoticeAttachmentVo> attachments = new ArrayList<>();
    private NoticeAttachmentVo cover;
    private NoticeTagVo tag;

    public List<NoticeAttachmentVo> getAttachments() {
        return attachments;
    }

    public void setAttachments(List<NoticeAttachmentVo> attachments) {
        this.attachments = attachments;
    }

    public NoticeAttachmentVo getCover() {
        return cover;
    }

    public void setCover(NoticeAttachmentVo cover) {
        this.cover = cover;
    }

    public NoticeTagVo getTag() {
        return tag;
    }

    public void setTag(NoticeTagVo tag) {
        this.tag = tag;
    }

    @Override
    public String toString() {
        return "NoticeDetailVo{" +
                "attachments=" + attachments +
                ", cover=" + cover +
                ", tag=" + tag +
                '}';
    }
}
