package com.cloudbility.openapi.vo;

import com.cloudbility.openapi.common.StringUtil;

/**
 * Created by lidonghao on 2020/8/6.
 */
public enum PayMethod {
    alipay,  //支付宝
    wechatpay,  //微信支付
    voucher,  //代金券
    bank,   //银行转账
    remaining;   //账户余额


    public static PayMethod byName(String name) {
        if (StringUtil.notEmpty(name)) {
            if(name.contains(",")){
                name = name.split(",")[0];
            }
            switch (name) {
                case "alipay":
                    return alipay;
                case "wechatpay":
                    return wechatpay;
                case "voucher":
                    return voucher;
                case "bank":
                    return bank;
                case "remaining":
                    return remaining;
            }
        }
        return alipay;
    }
}
