package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class ResourceVo {
    @ApiModelProperty("资源ID")
    private Long id;

    @ApiModelProperty("资源类型")
    private ResourceTypeVo type;

    public ResourceVo() {
    }

    public ResourceVo(Long id, ResourceTypeVo type) {
        this.id = id;
        this.type = type;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public ResourceTypeVo getType() {
        return type;
    }

    public void setType(ResourceTypeVo type) {
        this.type = type;
    }
}
