package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class ScriptOutputLineVo {
    @ApiModelProperty("输出内容的类型")
    private OutputType type;
    @ApiModelProperty("输出的一行内容")
    private String line;

    public ScriptOutputLineVo() {
    }

    public ScriptOutputLineVo(OutputType type, String line) {
        this.type = type;
        this.line = line;
    }

    public OutputType getType() {
        return type;
    }

    public void setType(OutputType type) {
        this.type = type;
    }

    public String getLine() {
        return line;
    }

    public void setLine(String line) {
        this.line = line;
    }
}
