package com.cloudbility.openapi.vo.healthCheck.subItem;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(description = "异常登陆信息")
public class AbnormalLogin {
    @ApiModelProperty(value = "客户端IP")
    private String remoteHost;
    @ApiModelProperty(value = "异常登陆次数")
    private int count;
    @ApiModelProperty(value = "最后一次登录时间")
    private long lastAccessTime;
    @ApiModelProperty(value = "第一次登录时间")
    private long firstAccessTime;

    private String description;


    public String getRemoteHost() {
        return remoteHost;
    }

    public void setRemoteHost(String remoteHost) {
        this.remoteHost = remoteHost;
    }

    public int getCount() {
        return count;
    }

    public void setCount(int count) {
        this.count = count;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public long getLastAccessTime() {
        return lastAccessTime;
    }

    public void setLastAccessTime(long lastAccessTime) {
        this.lastAccessTime = lastAccessTime;
    }

    public long getFirstAccessTime() {
        return firstAccessTime;
    }

    public void setFirstAccessTime(long firstAccessTime) {
        this.firstAccessTime = firstAccessTime;
    }
}
