package com.cloudbility.openapi.vo.healthCheck.subItem;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(description = "端口信息")
public class PortResult {

    @ApiModelProperty(value = "端口")
    private int port;

    @ApiModelProperty(value = "开放端口的协议类型", allowableValues = "tcp,udp,sctp")
    private String protocol;

    @ApiModelProperty(value = "可能启动的服务名")
    private String service;

    @ApiModelProperty(value = "暴露在公网是否安全", allowableValues = "secure,insecure,unknown")
    private String type = "unknown";

    @ApiModelProperty(value = "端口")
    private String remark = "i18n:h.check_unknown";

    public int getPort() {
        return port;
    }

    public void setPort(int port) {
        this.port = port;
    }

    public String getProtocol() {
        return protocol;
    }

    public void setProtocol(String protocol) {
        this.protocol = protocol;
    }

    public String getService() {
        return service;
    }

    public void setService(String service) {
        this.service = service;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
