package com.cloudbility.openapi.vo.monitor;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

@ApiModel
public class Func {

    @ApiModelProperty("函数名")
    private FuncName name;

    public Func(FuncName name) {
        this.name = name;
    }

    public FuncName getName() {
        return name;
    }

    public void setName(FuncName name) {
        this.name = name;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        Func func = (Func) o;
        return name == func.name;
    }

    @Override
    public int hashCode() {
        return Objects.hash(name);
    }

    @Override
    public String toString() {
        return FuncUtil.toString(this);
    }
}
